\version "2.21.0"

\include "berg-7-fruhe-1.ily"
\include "berg-7-fruhe-2.ily"
\include "berg-7-fruhe-3.ily"
\include "berg-7-fruhe-4.ily"
\include "berg-7-fruhe-5.ily"
\include "berg-7-fruhe-6.ily"
\include "berg-7-fruhe-7.ily"

\include "berg-7-fruhe-paged-title.ily"


\header {
    instrument = "1. Oboe"
}

\paper {
    ragged-right = ##f
    % ragged-last-bottom = ##f
}


breaksI = <<
\mvtItimeline
{
    s1*14 |
    \barNumberCheck # 15
    \break
    s1*24 |
    \barNumberCheck # 39
}
>>

cuesI = <<
\mvtItimeline
{
    \transposition c
    <>^"1.2.Fagott"
    #(ly:expect-warning "unterminated decrescendo")
    \ottava -2 <<
        {
            \once \override Rest.Y-offset = #3
            \voiceOne s2
        }
        \new Voice { \teeny \voiceOne \quoteDuring mvtIfgI { s2 } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtIfgII { s2 } }
    >> \ottava 0
    #(ly:expect-warning-times 2 "unterminated slur")
    <>^"1.2.Klarinette"
    <<
        { \voiceOne s2 }
        \new Voice { \teeny \voiceOne \quoteDuring mvtIclrI { s2 } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtIclrII { s2 } }
    >>
    \oneVoice
    s1*14 |
    \barNumberCheck # 16
    <>^"1.Horn"
    \cueDuring mvtIhrnI #DOWN { s1*2 | }
    s1*21 |
    \barNumberCheck # 39
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIobI
            \cuesI
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    s2.*29 |
    \barNumberCheck # 30
}
>>

cuesII = <<
\mvtIItimeline
{
    \transposition c
    #(ly:expect-warning "unterminated slur")
    <>^"1.Horn"
    \cueDuring mvtIIhrnI #DOWN { s2. | s4. } s4. |
    s2.*27 |
    \barNumberCheck # 30
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIIobI
            \cuesII
        >>
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}


\score {
    \removeWithTag NOPAGEBREAKATEND \mvtIIItacetCues
    \header {
        piece = \markup\TacetPiece{\mvtIIIpiece}
    }
}


breaksIV = <<
\mvtIVtimeline
{
    s2 |
    s1*3 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
}
>>

cuesIV = <<
\mvtIVtimeline
{
    \transposition c
    <>^"II.Geigen"
    \cueDuring mvtIVvlnII #DOWN { s2 | s2 s8 } s4. |
    s1 |
    #(ly:expect-warning "unterminated slur")
    <>^\markup{1.Flöte}
    \cueDuring mvtIVflI #UP { s1 | s8 } s8 s2 |
    \barNumberCheck # 6
    s2.*3 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIVtempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIVobI
            \cuesIV
        >>
    >>

    \header {
        piece = \mvtIVpiece
        breakbefore = ##t
    }
    \layout {
    }
}


breaksV = <<
\mvtVtimeline
{
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

cuesV = <<
\mvtVtimeline
{
    \transposition c
    <>^\markup\halign #1.2 {1.Klarinette}
    \cueDuring mvtVclrI #UP { s4. | s2. | s4. } s4. |
    \barNumberCheck # 4
    s2.*2 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVtempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVobI
            \cuesV
        >>
    >>

    \header {
        piece = \mvtVpiece
    }
    \layout {
    }
}


\score {
    \removeWithTag NOPAGEBREAKATEND \mvtVItacetCues
    \header {
        piece = \markup\TacetPiece{\mvtVIpiece}
    }
}


breaksVII = <<
\mvtVIItimeline
{
    \barNumberCheck # 2
    s2. |
    s1*13 |
    \barNumberCheck # 15
    \pageTurn
    s1*12 |
    \barNumberCheck # 27
    \noBreak
    s1*13 |
    \barNumberCheck # 40
}
>>

cuesVII = <<
\mvtVIItimeline
{
    \transposition c
    \barNumberCheck # 2
    #(ly:expect-warning-times 2 "unterminated slur")
    #(ly:expect-warning-times 2 "unterminated crescendo")
    #(ly:expect-warning "too many colliding rests")
    <>^"Violoncelli (get.)"
    \ottava #-1
    <<
        { \voiceThree s2. | s1 \oneVoice | }
        \new Voice { s2 \teeny \voiceOne \dynamicUp \quoteDuring mvtVIIvc { s4 | s1 | } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtVIIvchII { s2. | s1 | } }
    >> |
    \ottava #0
    \barNumberCheck # 3
    s1*13 |
    \barNumberCheck # 16
    <>^\markup{I.Geigen}
    \cueDuring mvtVIIvlnI #UP { s1*3 | }
    \barNumberCheck # 19
    s1*3 |
    \barNumberCheck # 22
    <>^\markup\halign #0.0 {1.Sologeige}
    \cueDuring mvtVIIvlnIsoloI #UP { s1*4 | }
    s1*14 |
    \barNumberCheck # 40
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVIIobI
            \cuesVII
        >>

        \mvtVIIquintenLine
    >>

    \header {
        piece = \mvtVIIpiece
    }
    \layout {
    }
}
