\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-7-fruhe-score-common.ily"

\includeOnce "berg-7-fruhe-1.ily"

% \include "berg-7-fruhe-title.ily"

breaksI = {
    s1*25 |
    \barNumberCheck # 26
    \break
}


mvtIflAll = <<
\mvtItimeline
{
    \transposition c
    \PMPChords #'( "mvtIflI" "mvtIflII" ) { s1*5 | }
    \barNumberCheck # 6
    #(ly:expect-warning "unterminated crescendo")
    \at 1 \once \override MultiMeasureRest.staff-position = #6
    \PMPApart #'( "mvtIflI" "mvtIflII" ) { s1*2 | }
    \barNumberCheck # 8
    \PMPChords #'( "mvtIflI" "mvtIflII" ) { s1*11 | }
    \barNumberCheck # 19
    \PMPApart #'( "mvtIflI" "mvtIflII" ) { s1*9 <>\! | }
    \barNumberCheck # 28
    \PMPChords #'( "mvtIflI" "mvtIflII" ) { s1*3 | }
    \set Staff.shortInstrumentName = "1. Fl."
    \barNumberCheck # 31
    \at 8*5 ^\soloI \quoteDuring mvtIflI { s1*8 | }
    \barNumberCheck # 39
}
>>


mvtIclrAll = <<
\transpose bes, c \mvtItimeline
\removeWithTag KEEPQUOTED {
    \transposition bes,
    % \PMPApart #'( "mvtIclrI" "mvtIclrII" ) { s1*4 | }
    #(ly:expect-warning "unterminated slur")
    \PMPApart #'( "mvtIclrI" "mvtIclrII" ) { s1*1 | }
    \PMPChords #'( "mvtIclrI" "mvtIclrII" ) { s1*1 | }
    #(ly:expect-warning "unterminated slur")
    \PMPApart #'( "mvtIclrI" "mvtIclrII" ) { s1*1 | }
    \PMPChords #'( "mvtIclrI" "mvtIclrII" ) { s1*1 | }
    \barNumberCheck # 5
    \PMPChords #'( "mvtIclrI" "mvtIclrII" ) { s1*2 | s2 }
    \barNumberCheck # 7
    <>^\markup\halign #3.5 \soloI
    \quoteDuring mvtIclrI { s2 | s1*2 | }
    \barNumberCheck # 10
    \PMPChords #'( "mvtIclrI" "mvtIclrII" ) { s1*5 | }
    \barNumberCheck # 15
    \PMPApart #'( "mvtIclrI" "mvtIclrII" ) { s1*6 | }
    \barNumberCheck # 21
    \PMPChords #'( "mvtIclrI" "mvtIclrII" ) { s1*7 | }
    \barNumberCheck # 28
    \set Staff.shortInstrumentName = "1. Kl."
    \at 2.. ^\markup\halign #3.5 \soloI
    \quoteDuring mvtIclrI { s1*11 | }
    \barNumberCheck # 39
}
>>


mvtIfgAll = <<
\mvtItimeline
{
    \transposition c
    \clef bass
    \PMPApart #'( "mvtIfgI" "mvtIfgII" ) { s1*3 | }
    \barNumberCheck # 4
    \at 2*5 ^\soloI
        \quoteDuring mvtIfgI { s1*3 | s2 }
    \barNumberCheck # 7
    \PMPChords #'( "mvtIfgI" "mvtIfgII" ) { s2 | s1*2 | }
    <>^\aDue
    \quoteDuring mvtIfgI { s1*8 | }
    \barNumberCheck # 18
    \PMPApart #'( "mvtIfgI" "mvtIfgII" ) { s1*11 | }
    \barNumberCheck # 29
    \PMPChords #'( "mvtIfgI" "mvtIfgII" ) { s1*2 | }
    \barNumberCheck # 31
    \at 8*41 ^\soloI
    \quoteDuring mvtIfgI { s1*6 | }
    \barNumberCheck # 37
    \PMPChords #'( "mvtIfgI" "mvtIfgII" ) { s1 | }
    \quoteDuring mvtIfgI { s1 | }
    \barNumberCheck # 39
}
>>


mvtIhrnIeII = <<
\removeWithTag KEEPKEYS \mvtItimeline
{
    \transposition f,
    \PMPChords #'( "mvtIhrnI" "mvtIhrnII" ) { s1*4 | }
    \barNumberCheck # 5
    \PMPApart #'( "mvtIhrnI" "mvtIhrnII" ) { s1*7 | }
    \barNumberCheck # 12
    \set Staff.shortInstrumentName = "1."
    \at 1*11 \set Staff.shortInstrumentName = "1.2."      % 2 ahead
        \at 1*11 ^\markup\upright\halign #0.5 \concat{( \soloI )}
        \quoteDuring mvtIhrnI { s1*13 | }
    \barNumberCheck # 25
    \PMPChords #'( "mvtIhrnI" "mvtIhrnII" ) { s1*6 | }
    \barNumberCheck # 31
    \PMPApart #'( "mvtIhrnI" "mvtIhrnII" ) { s1*8 | }
    \barNumberCheck # 39
}
>>


mvtIhrnIIIeIV = <<
\removeWithTag KEEPKEYS \mvtItimeline
{
    \transposition f,
    \at 4 ^\soloIII
        \quoteDuring mvtIhrnIII { s1*4 | }
    \barNumberCheck # 5
    \PMPApart #'( "mvtIhrnIII" "mvtIhrnIV" ) { s1*3 | }
    \barNumberCheck # 8
    \at 1 \clefOldHornF
    \at 1*5 \clefG
        \PMPChords #'( "mvtIhrnIII" "mvtIhrnIV" ) { s1*16 | }
    \barNumberCheck # 24
    \PMPApart #'( "mvtIhrnIII" "mvtIhrnIV" ) { s1 | }
    \at 2 \clefOldHornF \PMPChords #'( "mvtIhrnIII" "mvtIhrnIV" ) { s1 | }
    \PMPApart #'( "mvtIhrnIII" "mvtIhrnIV" ) { s1 | }
    \barNumberCheck # 27
    \set Staff.shortInstrumentName = "3."
    <>^\soloIII
    \clefG
    \quoteDuring mvtIhrnIII { s1*8 | }
    \barNumberCheck # 35
    \set Staff.shortInstrumentName = "4."
    \at 1*3 <>^\soloIV
    \at 1*3 \clefOldHornF
        \quoteDuring mvtIhrnIV { R1*3 | s1 <>\! | }
    \barNumberCheck # 39
}
>>


mvtIposAll = <<
\mvtItimeline
{
    \transposition c
    \clef bass
    \PMPChords #'( "mvtIposI" "mvtIposII" ) { s1*9 | }
    \barNumberCheck # 10
    \clef tenor
    \quoteDuring mvtIposI { s1*2 | }
    \barNumberCheck # 12
    \PMPApart #'( "mvtIposI" "mvtIposII" ) { s1*4 | s4 }
    \barNumberCheck # 16
    \set Staff.shortInstrumentName = "1.Pos."
    \at 4*5 ^\soloI
        \at 4*23 \set Staff.shortInstrumentName = "1.2.Pos."
        \quoteDuring mvtIposI { s2. | s1*7 | }
    \barNumberCheck # 24
    \clef bass
    \PMPApart #'( "mvtIposI" "mvtIposII" ) { s1*2 | }
    \barNumberCheck # 26
    \PMPChords #'( "mvtIposI" "mvtIposII" ) { s1*11 | }
    \quoteDuring mvtIposI { s1*2 | }
    \barNumberCheck # 39
}
>>


mvtIvlnIall = <<
\mvtItimeline
{
    \transposition c
    \PMPChords #'( "mvtIvlnI" "mvtIvlnIhII" ) { s1*4 | s2 }
    \quoteDuring mvtIvlnI { s2 | s1*4 | s2. }
    \PMPChords #'( "mvtIvlnI" "mvtIvlnIhII" ) { s4 | s1 | }
    \barNumberCheck # 12
    \quoteDuring mvtIvlnI { s1*12 | }
    \barNumberCheck # 24
    \PMPChords #'( "mvtIvlnI" "mvtIvlnIhII" ) { s1*7 | }
    \barNumberCheck # 31
    \quoteDuring mvtIvlnI { s1*8 | }
    \barNumberCheck # 39
}
>>


mvtIvlnIIall = <<
\mvtItimeline
\removeWithTag KEEPQUOTED {
    \transposition c
    \PMPApart #'( "mvtIvlnII" "mvtIvlnIIhII" ) { s1 | }
    \PMPChords #'( "mvtIvlnII" "mvtIvlnIIhII" ) { s1 | }
    \PMPApart #'( "mvtIvlnII" "mvtIvlnIIhII" ) { s1 | }
    \barNumberCheck # 4
    \PMPChords #'( "mvtIvlnII" "mvtIvlnIIhII" ) { s1 | s2 }
    \quoteDuring mvtIvlnII { s2 | s2 }
    \PMPChords #'( "mvtIvlnII" "mvtIvlnIIhII" ) { s2 | s1 | }
    \barNumberCheck # 8
    \quoteDuring mvtIvlnII { s1*16 <>\! | }
    \barNumberCheck # 24
    \PMPApart #'( "mvtIvlnII" "mvtIvlnIIhII" ) { s1*3 | }
    \barNumberCheck # 27
    \PMPChords #'( "mvtIvlnII" "mvtIvlnIIhII" ) { s1*3 | s2 }
    \barNumberCheck # 30
    \quoteDuring mvtIvlnII { s2 | s1*8 | }
    \barNumberCheck # 39
}
>>


mvtIvlaDivisi = <<
\mvtItimeline
\relative c'' {
    \transposition c
    \barNumberCheck # 1
    \targetstaff mvtIvlaAll
    s1*31 |
    \barNumberCheck # 32
    \targetstaff mvtIvla
    s1 |
    \targetstaff mvtIvlaAll
    s1*6 |
    \barNumberCheck # 39
}
>>


mvtIvlaAll = <<
\mvtItimeline
{
    \transposition c
    \clef alto
    \quoteDuring mvtIvla { s1 | }
    \barNumberCheck # 2
    \clef treble
    \PMPChords #'( "mvtIvla" "mvtIvlahII" ) { s1*3 | s2 }
    \barNumberCheck # 5
    \clef alto
    \quoteDuring mvtIvla { s2 | s8 }
    \barNumberCheck # 6
    \PMPChords #'( "mvtIvla" "mvtIvlahII" ) { s4. s2 | s8 }
    \barNumberCheck # 7
    #(ly:expect-warning-times 3 "cannot end slur")
    \quoteDuring mvtIvla { s4. s2 | s1*5 | s2 }
    \barNumberCheck # 13
    \PMPChords #'( "mvtIvla" "mvtIvlahII" ) { s2 | }
    \barNumberCheck # 14
    \quoteDuring mvtIvla { s1*12 | }
    \barNumberCheck # 26
    \PMPApart #'( "mvtIvla" "mvtIvlahII" ) { s1*1 | }
    \quoteDuring mvtIvla { s1 | }
    \PMPApart #'( "mvtIvla" "mvtIvlahII" ) { s1*1 | }
    \barNumberCheck # 29
    \quoteDuring mvtIvla { s1 | s2 }
    \barNumberCheck # 30
    \PMPApart #'( "mvtIvla" "mvtIvlahII" ) { s2 | s1*3 | }
    \barNumberCheck # 34
    \quoteDuring mvtIvla { s1*3 | \clef treble s4. \clef alto s8 s2 | s1 <>\! | }
    \barNumberCheck # 39
}
>>


mvtIvcAll = <<
\mvtItimeline
{
    \transposition c
    \clef bass
    \PMPApart #'( "mvtIvc" "mvtIvchII" ) { s1*3 | }
    \PMPChords #'( "mvtIvc" "mvtIvchII" ) { s1*3 | }
    \PMPApart #'( "mvtIvc" "mvtIvchII" ) { s1*1 | <>\! }
    \barNumberCheck # 8
    \PMPChords #'( "mvtIvc" "mvtIvchII" ) { s1*2 | }
    \barNumberCheck # 10
    \quoteDuring mvtIvc { s1*16 | }
    \barNumberCheck # 26
    \PMPApart #'( "mvtIvc" "mvtIvchII" ) { s1*3 | }
    \barNumberCheck # 29
    \PMPChords #'( "mvtIvc" "mvtIvchII" ) { s1*3 | }
    \barNumberCheck # 32
    \quoteDuring mvtIvc { s1*6 | }
    \barNumberCheck # 38
    \PMPApart #'( "mvtIvc" "mvtIvchII" ) { s1*1 <>\! | }
    \barNumberCheck # 39
}
>>


% %{
\tocItem \markup{\mvtIpiece}

\score {
    \keepWithTag #'( SCORE KEEPQUOTED KEEPKEYS ) <<
	\new Dynamics \breaksI
	% \new Dynamics \mvtIbreaks

	\new MarkLine \with {
	    \accepts TimedSpanner
	} \mvtItempi

	\new StaffGroup <<
            \new GrandStaff <<
                \new Staff = mvtIpicc \with {
                    shortInstrumentName = "Picc."
                    \override VerticalAxisGroup.remove-first = ##t
                } <<
                    \mvtIpicc
                >>
                \new Staff = mvtIflI \with {
                    instrumentName = "1.2. Flöte"
                    shortInstrumentName = "1.2. Fl."
                } <<
                    \mvtIflAll
                >>
            >>
            \new GrandStaff <<
                \new Staff = mvtIobI \with {
                    instrumentName = "Oboe"
                    shortInstrumentName = "Ob."
                } <<
                    \mvtIobI
                >>
                \new Staff = mvtIeh \with {
                    instrumentName = \markup\center-column{"Englisch" "Horn"}
                    shortInstrumentName = "E.H."
                } <<
                    \mvtIeh
                >>
            >>
            \new GrandStaff <<
                \new Staff = mvtIclrI \with {
                    instrumentName = "1.2.Klarinette (B)."
                    shortInstrumentName = \markup\center-column{"1.2.Kl." "B"}
                } <<
                    \mvtIclrAll
                >>
                \new Staff = mvtIbclr \with {
                    instrumentName = \markup\center-column{"Bassklarinette" "in A"}
                    shortInstrumentName = \markup\center-column{"Bkl." "A"}
                } <<
                    { \clefF \mvtIbclr }
                >>
            >>
            \new GrandStaff <<
                \new Staff = mvtIfgI \with {
                    instrumentName = "1.2.Fagott"
                    shortInstrumentName = "1.2.Fg."
                } <<
                    \mvtIfgAll
                >>
                \new Staff = mvtIkfg \with {
                    instrumentName = "Kontrafagott"
                    shortInstrumentName = "Kfg."
                } <<
                    \mvtIkfg
                >>
            >>
        >>

	\new StaffGroup \with {
        } <<
            \new GrandStaff \with {
                instrumentName = "4 Hörner in F"
                shortInstrumentName = \markup\center-column{"Hr." "(F)"}
            } <<
                \new Staff = mvtIhrnI \with {
                    instrumentName = "1.2."
                    shortInstrumentName = "1.2."
                } <<
                    \mvtIhrnIeII
                >>
                \new Staff = mvtIhrnIII \with {
                    instrumentName = "3.4."
                    shortInstrumentName = "3.4."
                } <<
                    \mvtIhrnIIIeIV
                >>
            >>
	    \new Staff = mvtItrp \with {
		instrumentName = "Trompete (F)"
		shortInstrumentName = \markup\center-column{"Trp." "(F)"}
	    } <<
		\mvtItrp
	    >>
	    \new Staff = mvtIposI \with {
		instrumentName = "1.2.Posaune"
		shortInstrumentName = "1.2.Pos."
	    } <<
                \mvtIposAll
	    >>
	>>

        \new Staff = mvtIpk \with {
            instrumentName = "Pauke"
            shortInstrumentName = "Pk."
        } <<
            \mvtIpk
        >>
        \new StaffGroup = mvtIschlagw \with {
            instrumentName = \markup\center-column{"Große Trommel" "Triangel" "Becken, Tam-Tam"}
        } <<
            \new RhythmicStaff \with {
                shortInstrumentName = "Gr.Trom."
            } <<
                \mvtIgrTrom
            >>
            \new RhythmicStaff \with {
                shortInstrumentName = "Trgl."
                \override VerticalAxisGroup.remove-first = ##t
            } <<
                \mvtItriangel
            >>
            \new RhythmicStaff \with {
                shortInstrumentName = "Beck."
                \override VerticalAxisGroup.remove-first = ##t
            } <<
                \mvtIbecken
            >>
            \new RhythmicStaff \with {
                shortInstrumentName = "Tam-T."
                \override VerticalAxisGroup.remove-first = ##t
            } <<
                \mvtItamtam
            >>
        >>

	\new PianoStaff = mvtIhp \with {
            instrumentName = "Harfe"
            shortInstrumentName = "Hf."
            \override StaffGrouper.staffgroup-staff-spacing.stretchability = #75
	} <<
	    \new Staff = up \with {
	    } <<
		\mvtIhpRH
	    >>
	    \new Dynamics = mvtIhpDyn \with {
	    } <<
		\mvtIhpDyn
	    >>
	    \new Staff = down \with {
	    } <<
		\mvtIhpLH
	    >>
	>>

        \new Staff = mvtIgesang \with {
            instrumentName = "Gesang"
            shortInstrumentName = "Ges."
            \override VerticalAxisGroup.remove-empty = ##f
            \override VerticalAxisGroup.staff-staff-spacing.stretchability = #80
        } <<
            \new Voice = mvtIgesang { \dynamicUp \mvtIgesang }
	    \new Lyrics \lyricsto mvtIgesang \mvtIlyrics
        >>

	\new MarkLine \with {
	    \accepts TimedSpanner
        } \mvtItempi

	\new StaffGroup = mvtIstrings <<
	    \new GrandStaff \with {
                instrumentName = "Violine"
                shortInstrumentName = "Vln."
            } <<
                \new Staff = mvtIvlnIsolo \with {
                    instrumentName = "1.Solo"
                    shortInstrumentName = "1.Solo"
                    \override VerticalAxisGroup.remove-first = ##t
                } <<
                    \mvtIvlnIsolo
                >>
                \new Staff = mvtIvlnIall \with {
                    instrumentName = "I."
                    shortInstrumentName = "I."
                    \override VerticalAxisGroup.remove-first = ##t
                } <<
                    \mvtIvlnIall
                >>
                \new Staff = mvtIvlnIIall \with {
                    instrumentName = "II."
                    shortInstrumentName = "II."
                    \override VerticalAxisGroup.remove-first = ##t
                } <<
                    \mvtIvlnIIall
                >>
            >>
            \new GrandStaff \with {
                \consists Keep_alive_together_engraver
                instrumentName = "Bratsche"
                shortInstrumentName = "Br."
            } <<
		\new Staff = mvtIvlaAll \with {
                    \override VerticalAxisGroup.remove-first = ##t
                    \override VerticalAxisGroup.remove-layer = 40
		} <<
                    \mvtIvlaAll
                    \mvtIvlaDivisi
		>>
                \new Staff = mvtIvla \with {
                    \override VerticalAxisGroup.remove-first = ##t
                    \override VerticalAxisGroup.remove-layer = 20
                } <<
                    \mvtIvla
                    \mvtIvlaDivisi
                >>
		\new Staff = mvtIvlahII \with {
                    \override VerticalAxisGroup.remove-first = ##t
                    \override VerticalAxisGroup.remove-layer = 20
		} <<
		    \mvtIvlahII
                    \mvtIvlaDivisi
		>>
            >>
            \new GrandStaff \with {
                instrumentName = "Violoncello"
                shortInstrumentName = "Vlc."
            } <<
                \new Staff = mvtIvcAll \with {
                    \override VerticalAxisGroup.remove-first = ##t
                } <<
                    \mvtIvcAll
                >>
            >>
            \new GrandStaff \with {
                instrumentName = "Kontrabass"
                shortInstrumentName = "Kb."
            } <<
                \new Staff = mvtIcb \with {
                } <<
                    \mvtIcb
                >>
            >>
	>>
    >>

    \header {
        piece = \mvtIpiece
    }
    \layout {
        short-indent = 8
    }
}
% %}

