\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-7-fruhe-score-common.ily"

\includeOnce "berg-7-fruhe-7.ily"

breaksVII = <<
\mvtVIItimeline
{
    % <>^"My breaks left in"
    s2. |
    \barNumberCheck # 2
    s1*18 | 
    \barNumberCheck # 20
    \break
    s1*6 | 
    \barNumberCheck # 26
    \break
    s1*1 | 
    \barNumberCheck # 27
    \noBreak
    s1*8 | 
    \barNumberCheck # 35
    \break
    s1*5 | 
    \barNumberCheck # 40
}
>>


mvtVIIflAll = <<
\mvtVIItimeline
{
    \transposition c
    \at 4*8 ^\aDue \quoteDuring mvtVIIflI { s2. | s1*3 | }
    #(ly:expect-warning "cannot end slur")
    \PMPApart #'( "mvtVIIflI" "mvtVIIflII" ) { s1*6 | }
    \barNumberCheck # 11
    \at 4 <>^\soloI
        \quoteDuring mvtVIIflI { s1*4 | }
    \barNumberCheck # 15
    \PMPChords #'( "mvtVIIflI" "mvtVIIflII" ) { s1*13 | }
    \barNumberCheck # 28
    <>^\aDue
    \quoteDuring mvtVIIflI { s1*6 | }
    \barNumberCheck # 34
    \PMPApart #'( "mvtVIIflI" "mvtVIIflII" ) { s1 | }
    \barNumberCheck # 35
    <<
        {
            \PMPChords #'( "mvtVIIflI" "mvtVIIflII" ) { s1 | }
            #(ly:expect-warning "cannot end slur")
            \PMPApart #'( "mvtVIIflI" "mvtVIIflII" ) { s2 }
            \PMPChords #'( "mvtVIIflI" "mvtVIIflII" ) { s2 | }
        }
        % paint the slur
        \new Voice \relative c'' {
            \transOn \voiceTwo d4.( e8 c g f e | es!2)
        }
    >>
    \barNumberCheck # 37
    \PMPChords #'( "mvtVIIflI" "mvtVIIflII" ) { s1*3 | }
    \barNumberCheck # 40
}
>>


mvtVIIclrAll = <<
\transpose bes, c \mvtVIItimeline
{
    \transposition bes,
    \quoteDuring mvtVIIclrI { s2. | s1 | s4 <>^\aDue s2. | }
    \barNumberCheck # 4
    \PMPApart #'( "mvtVIIclrI" "mvtVIIclrII" ) { s1*7 | }
    \barNumberCheck # 11
    \at 4 ^\soloI
        \quoteDuring mvtVIIclrI { s1*4 | }
    \barNumberCheck # 15
    \PMPChords #'( "mvtVIIclrI" "mvtVIIclrII" ) { s1*17 | }
    \barNumberCheck # 32
    % \PMPApart #'( "mvtVIIclrI" "mvtVIIclrII" ) { s1*6 | }
    % \barNumberCheck # 38
    \PMPApart #'( "mvtVIIclrI" "mvtVIIclrII" ) { s1*3 | s4 }
    \barNumberCheck # 35
    % \PMPChords #'( "mvtVIIclrI" "mvtVIIclrII" ) { s2. | s1*2 | }
    <<
        {
            \PMPChords #'( "mvtVIIclrI" "mvtVIIclrII" ) { s2. | }
            \PMPApart #'( "mvtVIIclrI" "mvtVIIclrII" ) { s2 }
            <>^\markup\halign #0.5 \aDue \quoteDuring mvtVIIclrI { s2 | s1 | }
        }
        % paint the slur
        \new Voice \relative c'' {
            \transOn \voiceTwo s8 f( d a g fis | f!2 \stemUp f4)
        }
    >>
    \barNumberCheck # 38
    \PMPChords #'( "mvtVIIclrI" "mvtVIIclrII" ) { s1*2 | }
    \barNumberCheck # 40
}
>>


mvtVIIfgAll = <<
\mvtVIItimeline
{
    \transposition c
    \clef bass
    \PMPChords #'( "mvtVIIfgI" "mvtVIIfgII" ) { s2. | s1*3 | }
    \barNumberCheck # 5
    \PMPApart #'( "mvtVIIfgI" "mvtVIIfgII" ) { s1*4 | s2 <>\! }
    \barNumberCheck # 9
    #(ly:expect-warning "unterminated crescendo")
    #(ly:expect-warning "unterminated crescendo")
    #(ly:expect-warning "unterminated decrescendo")
    #(ly:expect-warning "unterminated decrescendo")
    \at 4 <>^\soloI
    \at 4 \set Staff.shortInstrumentName = "1."
    \at 4*23 \set Staff.shortInstrumentName = "1.2."
        \quoteDuring mvtVIIfgI { s2 | s1*9 | }
    \barNumberCheck # 19
    #(ly:expect-warning "cannot end slur")
    \PMPChords #'( "mvtVIIfgI" "mvtVIIfgII" ) { s1 | }
    \PMPApart #'( "mvtVIIfgI" "mvtVIIfgII" ) { s1*2 | }
    \quoteDuring mvtVIIfgI { s1*2 | }
    \barNumberCheck # 24
    <>^\aDue
    \quoteDuring mvtVIIfgI { s1*8 | s2. <>^\aDue s4 | s4. }
    \barNumberCheck # 33
    \PMPApart #'( "mvtVIIfgI" "mvtVIIfgII" ) { s8 s2 | s1*4 | }
    \barNumberCheck # 38
    \PMPChords #'( "mvtVIIfgI" "mvtVIIfgII" ) { s1*2 | }
    \barNumberCheck # 40
}
>>


mvtVIIhrnIeII = <<
\removeWithTag KEEPKEYS \mvtVIItimeline
{
    \transposition f,
    \quoteDuring mvtVIIhrnI { s2. | s1*9 | }
    \temporary \override MultiMeasureRest.staff-position = #6
    \at 1*3 \revert MultiMeasureRest.staff-position
    \PMPApart #'( "mvtVIIhrnI" "mvtVIIhrnII" ) { s1*4 | }
    % \quoteDuring mvtVIIhrnII { s2. | s1*9 | s4 <>^\soloII s2. | s1*2 | <>^\soloII s1 <>\! | }
    \barNumberCheck # 15
    % \PMPApart #'( "mvtVIIhrnI" "mvtVIIhrnII" ) { s1*14 | }
    \PMPApart #'( "mvtVIIhrnI" "mvtVIIhrnII" ) { s1*5 | }
    % <>^\soloI \quoteDuring mvtVIIhrnI { s1 | s2 }
    % <>^\soloII \quoteDuring mvtVIIhrnII { s2 | s2 }
    % <>^\soloI \quoteDuring mvtVIIhrnI { s2 | s1*2 | }
    \barNumberCheck # 20
    \PMPApart #'( "mvtVIIhrnI" "mvtVIIhrnII" ) { s1*7 | }
    \barNumberCheck # 27
    \at 1*2 ^\aDueIeII
    \quoteDuring mvtVIIhrnI { s1*6 | s2 }
    \barNumberCheck # 33
    % \PMPApart #'( "mvtVIIhrnI" "mvtVIIhrnII" ) { s2 | s1*2 | s4 }
    \PMPChords #'( "mvtVIIhrnI" "mvtVIIhrnII" ) { s2 | s2 }
    \PMPApart #'( "mvtVIIhrnI" "mvtVIIhrnII" ) { s2 | s1 | s4 }
    \PMPChords #'( "mvtVIIhrnI" "mvtVIIhrnII" ) { s2. | s1*3 | }
    \barNumberCheck # 40
}
>>


mvtVIIhrnIIIeIV = <<
\removeWithTag KEEPKEYS \mvtVIItimeline
{
    \transposition f,
    \quoteDuring mvtVIIhrnIII { s2. | s1*17 | }
    \barNumberCheck # 19
    \PMPApart #'( "mvtVIIhrnIII" "mvtVIIhrnIV" ) { \at 1*3 \clefOldHornF s1*8 | }
    \barNumberCheck # 27
    \at 1*2 \clefG
        \at 1*2 ^\aDueIIIeIV
        \quoteDuring mvtVIIhrnI { s1*5 | s2. }
    \barNumberCheck # 32
    \PMPApart #'( "mvtVIIhrnIII" "mvtVIIhrnIV" ) { s4 | s1*3 | }
    \barNumberCheck # 36
    \PMPChords #'( "mvtVIIhrnIII" "mvtVIIhrnIV" ) { s1*4 | }
    \barNumberCheck # 40
}
>>


mvtVIIposAll = <<
\mvtVIItimeline
{
    \transposition c
    \clef bass
    \quoteDuring mvtVIIposI { s2. | s1*8 | }
    \barNumberCheck # 10
    \clef tenor
    \PMPChords #'( "mvtVIIposI" "mvtVIIposII" ) { s1*2 | }
    \barNumberCheck # 12
    % \PMPApart #'( "mvtVIIposI" "mvtVIIposII" ) { s1*8 | s4 \clef bass s2. | s1*2 | }
    \PMPApart #'( "mvtVIIposI" "mvtVIIposII" ) { s1*7 | s2 }
    \barNumberCheck # 19
    \PMPChords #'( "mvtVIIposI" "mvtVIIposII" ) { s2 | s4 \clef bass s2. | s4 }
    \barNumberCheck # 21
    \PMPApart #'( "mvtVIIposI" "mvtVIIposII" ) { s2. | s1 | }
    \barNumberCheck # 23
    \quoteDuring mvtVIIposI { s1*4 | }
    \barNumberCheck # 27
    \PMPApart #'( "mvtVIIposI" "mvtVIIposII" ) { s1*8 | }
    \barNumberCheck # 35
    <>^\aDue
    \quoteDuring mvtVIIposI { s1 | s2 }
    \PMPChords #'( "mvtVIIposI" "mvtVIIposII" ) { s2 | s1*3 | }
    \barNumberCheck # 40
}
>>


mvtVIIbeckenEtamtam = <<
\mvtVIItimeline
{
    \quoteDuring mvtVIItamtam { s2. | s1*19 | }
    \barNumberCheck # 21
    R1*14 |
    \barNumberCheck # 35
    \stemUp
    <>^\markup\right-align\line{1 Paar Becken}
    % <>^\markup\right-align\column{"1 Paar" "Becken"}
    % <>^\markup\halign #1.5 \line{1 Paar}_\markup\halign #1.5 {Becken}
    \quoteDuring mvtVIIbecken { s1 | }
    R1 |
    \barNumberCheck # 37
    \stemDown
    <>^\markup\halign #1.5 \line{Tam-Tam}
    \quoteDuring mvtVIItamtam { s1*3 | }
    \barNumberCheck # 40
}
>>


mvtVIIvlnIdivisi = {
    \barNumberCheck # 2
    \targetstaff mvtVIIvlnI
    s2. |
    s1*2 |
    \barNumberCheck # 4
    \targetstaff mvtVIIvlnIall
    s1*36 |
    \barNumberCheck # 40
}


mvtVIIvlnIall = <<
\mvtVIItimeline
{
    \transposition c
    % \at 4*15 \set GrandStaff.shortInstrumentName = "Übr."
    \PMPChords #'( "mvtVIIvlnI" "mvtVIIvlnIhII" ) { s2. | s1*4 | }
    \barNumberCheck # 6
    % \at 1*4 \set GrandStaff.shortInstrumentName = \markup\center-column{"Übr." "Get."}
        \quoteDuring mvtVIIvlnI { s1*7 | }
    \barNumberCheck # 13
    \PMPChords #'( "mvtVIIvlnI" "mvtVIIvlnIhII" ) { s1*3 | }
    \PMPApart #'( "mvtVIIvlnI" "mvtVIIvlnIhII" ) { s1*2 | }
    \barNumberCheck # 18
    <<
        {
            \quoteDuring mvtVIIvlnI { s2. \voiceOne s4 | s1 | s4. } \oneVoice
        }
        \new Voice {
            \voiceTwo
            s2.
            \quoteDuring mvtVIIvlnIhII { s4 | s1 | s4. }
        }
    >>
    #(ly:expect-warning "cannot end slur")
    \barNumberCheck # 20
    \quoteDuring mvtVIIvlnI {
        s8 s2 |
        s1*6 |
        % \set GrandStaff.shortInstrumentName = ""
        s1*13 |
    }
    \barNumberCheck # 40
}
>>


mvtVIIvlnIIdivisi = <<
\mvtVIItimeline
{
    \barNumberCheck # 2
    \targetstaff mvtVIIvlnII
    s2. |
    s1*1 |
    \barNumberCheck # 3
    \targetstaff mvtVIIvlnIIall
    s1*10 |
    \barNumberCheck # 13
    \targetstaff mvtVIIvlnII
    s1*2 |
    \barNumberCheck # 15
    \targetstaff mvtVIIvlnIIall
    s1*25 |
    \barNumberCheck # 40
}
>>


mvtVIIvlnIIall = <<
\mvtVIItimeline
{
    \transposition c
    \PMPApart #'( "mvtVIIvlnII" "mvtVIIvlnIIhII" ) { s2. | s1*4 | }
    \barNumberCheck # 6
    % \set GrandStaff.shortInstrumentName = ""
    % \at 1*4 \set GrandStaff.shortInstrumentName = "Get."
        \quoteDuring mvtVIIvlnII { s1*6 | s4 }
    #(ly:expect-warning "cannot end slur")
    \barNumberCheck # 12
    \PMPApart #'( "mvtVIIvlnII" "mvtVIIvlnIIhII" ) { s2. | s1*2 | s2 }
    \barNumberCheck # 15
    % \set GrandStaff.shortInstrumentName = ""
    % \at 2*3 \set GrandStaff.shortInstrumentName = "Get."
    \quoteDuring mvtVIIvlnII { s2 | s1 | s2. }
    #(ly:expect-warning "cannot end slur")
    \barNumberCheck # 17
    \PMPApart #'( "mvtVIIvlnII" "mvtVIIvlnIIhII" ) { s4 | s1*1 | s2 }
    \barNumberCheck # 19
    \PMPChords #'( "mvtVIIvlnII" "mvtVIIvlnIIhII" ) { s2 | s1 | s4. }
    \barNumberCheck # 21
    % \set GrandStaff.shortInstrumentName = ""
    \quoteDuring mvtVIIvlnII { s8 s2 | s1*10 | }
    \barNumberCheck # 32
    % \set GrandStaff.shortInstrumentName = "Get."
    \PMPApart #'( "mvtVIIvlnII" "mvtVIIvlnIIhII" ) { s1*2 | s2 }
    \barNumberCheck # 34
    % \set GrandStaff.shortInstrumentName = ""
    \quoteDuring mvtVIIvlnII { s2 | s1*5 | }
    \barNumberCheck # 40
}
>>


mvtVIIvlaAll = <<
\mvtVIItimeline
{
    \transposition c
    \clef alto
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "cannot end slur")
    \at 4*15 \set GrandStaff.shortInstrumentName = "Get."
    \quoteDuring mvtVIIvla { s2. | s1*3 | s4 }
    \PMPApart #'( "mvtVIIvla" "mvtVIIvlahII" ) { s2. | s2. }
    \at 4*15 \set GrandStaff.shortInstrumentName = ""
    \quoteDuring mvtVIIvla { s4 | s1*11 | }
    \set GrandStaff.shortInstrumentName = "Get."
    \barNumberCheck # 18
    \PMPApart #'( "mvtVIIvla" "mvtVIIvlahII" ) { s1 | }
    \barNumberCheck # 19
    \set GrandStaff.shortInstrumentName = ""
    \quoteDuring mvtVIIvla { s1*21 | }
    \barNumberCheck # 40
}
>>


% %{
\tocItem \markup{\mvtVIIpiece}

\score {
    \keepWithTag #'( SCORE KEEPQUOTED KEEPKEYS ) <<
	\new Dynamics \breaksVII
	% \new Dynamics \mvtVIIbreaks

        % %{
	\new MarkLine \with {
	    \accepts TimedSpanner
	} \mvtVIItempi

	\new StaffGroup <<
	    \new Staff = mvtVIIflI \with {
		instrumentName = "1.2.Flöte"
		shortInstrumentName = "Fl."
	    } <<
                \mvtVIIflAll
	    >>
	    \new Staff = mvtVIIobI \with {
		instrumentName = "Oboe"
		shortInstrumentName = "Ob."
	    } <<
		\mvtVIIobI
	    >>
	    \new Staff = mvtVIIeh \with {
		instrumentName = \markup\center-column{"Englisch" "Horn"}
		shortInstrumentName = "E.H."
	    } <<
		\mvtVIIeh
	    >>
            \new GrandStaff \with {
                instrumentName = "Klarinetten"
                shortInstrumentName = "Kl."
            } <<
                \new Staff = mvtVIIclrI \with {
                    instrumentName = \markup\center-column{"1.2." "in B"}
                    shortInstrumentName = \markup\center-column{"1.2." "(B)"}
                } <<
                    \mvtVIIclrAll
                >>
                \new Staff = mvtVIIbclr \with {
                    instrumentName = \markup\center-column{"Bassklarinette" "in A"}
                    shortInstrumentName = \markup\center-column{"Bklr." "(A)"}
                } <<
                    \mvtVIIbclr
                >>
            >>
            \new GrandStaff \with {
                instrumentName = "Fagotte"
                shortInstrumentName = "Fg."
            } <<
                \new Staff = mvtVIIfgI \with {
                    instrumentName = "1.2."
                    shortInstrumentName = "1.2."
                } <<
                    \mvtVIIfgAll
                >>
                \new Staff = mvtVIIkfg \with {
                    instrumentName = "Kontrafagott"
                    shortInstrumentName = "Kfg."
                } <<
                    \mvtVIIkfg
                >>
            >>
	>>
        % %}

        % %{
        \new StaffGroup = mvtVIIbrass <<
            \new GrandStaff \with { 
                instrumentName = \markup\center-column{"4 Hörner" "in F"}
                shortInstrumentName = \markup\center-column{"Hrn." "(F)"}
            } <<
                \new Staff = mvtVIIhrnI \with {
                    instrumentName = "1.2."
                    shortInstrumentName = \markup{"1.2."}
                } <<
                    \mvtVIIhrnIeII
                >>
                \new Staff = mvtVIIhrnIII \with {
                    instrumentName = "3.4."
                    shortInstrumentName = "3.4."
                    \override VerticalAxisGroup.remove-first = ##t
                } <<
                    \mvtVIIhrnIIIeIV
                >>
            >>
            \new Staff = mvtVIItrp \with {
                instrumentName = \markup\center-column{"Trompete" "in F"}
                shortInstrumentName = \markup\center-column{"Trp." "(F)"}
            } <<
                \mvtVIItrp
            >>
            \new Staff = mvtVIIposI \with {
                instrumentName = "1.2.Posaune"
                shortInstrumentName = "Pos."
            } <<
                \mvtVIIposAll
            >>
        >>
        % %}

        % %{
        \new StaffGroup <<
            \new RhythmicStaff = mvtVIIbecken \with {
                instrumentName = \markup\center-column{"1 Paar Becken"
                                                       "Triangel, kl.Trommel"
                                                       "Tam-Tam"}
                shortInstrumentName = \markup\center-column{"Beck." "Tam-t."}
            } <<
                \mvtVIIbeckenEtamtam
            >>
            \new RhythmicStaff = mvtVIItriangel \with {
                instrumentName = "Triangel"
                shortInstrumentName = "Trngl."
                \override VerticalAxisGroup.remove-first = ##t
            } <<
                \mvtVIItriangel
            >>
            \new RhythmicStaff = mvtVIIklTrom \with {
                instrumentName = "Kleine Trommel"
                shortInstrumentName = "Kl.Tr."
                \override VerticalAxisGroup.remove-first = ##t
            } <<
                \mvtVIIklTrom
            >>
        >>

	\new PianoStaff = mvtVIIhp \with {
            instrumentName = "Harfe"
            shortInstrumentName = "Hfe."
            \consists #Span_stem_engraver
            \override StaffGrouper.staffgroup-staff-spacing.stretchability = #75
	} <<
            \set PianoStaff.connectArpeggios = ##t
	    \new Staff = up \with {
	    } <<
		\mvtVIIhpRH
	    >>
	    \new Dynamics = mvtVIIhpDyn \with {
	    } <<
		\mvtVIIhpDyn
	    >>
	    \new Staff = down \with {
	    } <<
		\mvtVIIhpLH
	    >>
	>>
        % %}

        \new Staff = mvtVIIgesang \with {
            instrumentName = "Gesang"
            shortInstrumentName = "Ges."
            \override VerticalAxisGroup.remove-empty = ##f
            \override VerticalAxisGroup.staff-staff-spacing.stretchability = #80
        } <<
            \new Voice = mvtVIIgesang { \dynamicUp \mvtVIIgesang }
	    \new Lyrics \lyricsto mvtVIIgesang \mvtVIIlyrics
        >>

        % %{
	\new MarkLine \with {
	    \accepts TimedSpanner
        } \mvtVIItempi

	\new StaffGroup = mvtVIIstrings <<
            \new StaffGroup \with {
                instrumentName = "Violine"
                shortInstrumentName = "Vl."
            } <<
                \new GrandStaff \with {
                    \override InstrumentName.self-alignment-X = #RIGHT
                    instrumentName = "I."
                    shortInstrumentName = "I."
                    \consists Keep_alive_together_engraver
                } <<
                    \new Staff = mvtVIIvlnIsolo \with {
                        instrumentName = "1.2.Solo"
                        shortInstrumentName = "1.2.Solo"
                        \override InstrumentName.self-alignment-X = #CENTER
                        \override VerticalAxisGroup.remove-layer = ##f
                        \override VerticalAxisGroup.remove-first = ##t
                        aDueText = \markup\null
                    } <<
                        { \oneVoice \mvtVIIvlnIsoloI }
                        \removeWithTag KEEPQUOTED {
                            \oneVoice
                            \quoteDuring mvtVIIvlnIsoloII {
                                s2. | s1*11 |
                            }
                            \barNumberCheck # 13
                            #(ly:expect-warning "unterminated tie")
                            \quoteDuring mvtVIIvlnIhII {
                                s1*5 |
                            }
                        }
                    >>
                    \new Staff = mvtVIIvlnIall \with {
                        \override VerticalAxisGroup.remove-layer = #40
                        aDueText = \markup\null
                    } <<
                        \mvtVIIvlnIall
                        \mvtVIIvlnIdivisi
                    >>
                    \new Staff = mvtVIIvlnI \with {
                        % instrumentName = "1.Hälfte"
                        % shortInstrumentName = "1.H."
                        \override VerticalAxisGroup.remove-first = ##t
                        \override VerticalAxisGroup.remove-layer = #20
                    } <<
                        \mvtVIIvlnI
                        \mvtVIIvlnIdivisi
                    >>
                    \new Staff = mvtVIIvlnIhII \with {
                        % instrumentName = "2.Hälfte"
                        % shortInstrumentName = "2.H."
                        \override VerticalAxisGroup.remove-first = ##t
                        \override VerticalAxisGroup.remove-layer = #20
                    } <<
                        \mvtVIIvlnIhII
                        \mvtVIIvlnIdivisi
                    >>
                >>
                \new GrandStaff \with {
                    \override InstrumentName.self-alignment-X = #RIGHT
                    instrumentName = "II."
                    shortInstrumentName = "II."
                    % instrumentName = "Geteilt"
                    % shortInstrumentName = "Get."
                    \consists Keep_alive_together_engraver
                } <<
                    \new Staff = mvtVIIvlnIIall \with {
                        % instrumentName = "II"
                        % shortInstrumentName = "II"
                        \override VerticalAxisGroup.remove-layer = #40
                        aDueText = \markup\null
                    } <<
                        \mvtVIIvlnIIall
                        \mvtVIIvlnIIdivisi
                    >>
                    \new Staff = mvtVIIvlnII \with {
                        % instrumentName = "1.Hälfte"
                        % shortInstrumentName = "1.H."
                        \override VerticalAxisGroup.remove-layer = #20
                    } <<
                        \mvtVIIvlnII
                        \mvtVIIvlnIIdivisi
                    >>
                    \new Staff = mvtVIIvlnIIhII \with {
                        % instrumentName = "2.Hälfte"
                        % shortInstrumentName = "2.H."
                        \override VerticalAxisGroup.remove-first = ##t
                        \override VerticalAxisGroup.remove-layer = #20
                    } <<
                        \mvtVIIvlnIIhII
                        \mvtVIIvlnIIdivisi
                    >>
                >>
            >>
            \new StaffGroup \with {
                instrumentName = "Bratsche"
                shortInstrumentName = "Br."
            } <<
                \new GrandStaff \with {
                    \override InstrumentName.self-alignment-X = #RIGHT
                } <<
                    \new Staff = mvtVIIvla \with {
                        aDueText = \markup\null
                    } <<
                        \mvtVIIvlaAll
                    >>
                >>
            >>
            \new StaffGroup \with {
                instrumentName = "Violoncello"
                shortInstrumentName = "Vlc."
            } <<
                \new GrandStaff \with {
                    \override InstrumentName.self-alignment-X = #RIGHT
                    % instrumentName = "Geteilt"
                    % shortInstrumentName = "Get."
                } <<
                    \new Staff = mvtVIIvc \with {
                    } <<
                        \partCombine
                            \mvtVIIvc
                            \removeWithTag KEEPQUOTED \mvtVIIvchII
                    >>
                >>
            >>
            \new StaffGroup \with {
		instrumentName = "Kontrabass"
		shortInstrumentName = "Kb."
            } <<
                \new Staff = mvtVIIcb \with {
                } <<
                    \mvtVIIcb
                >>
            >>

            \mvtVIIquintenLine
	>>
        % %}
    >>

    \header {
        piece = \mvtVIIpiece
    }
    \layout {
        short-indent = 12
        #(layout-set-staff-size 14)
    }
}
% %}
