\version "2.21.0"

\include "berg-7-fruhe-1.ily"
\include "berg-7-fruhe-2.ily"
\include "berg-7-fruhe-3.ily"
\include "berg-7-fruhe-4.ily"
\include "berg-7-fruhe-5.ily"
\include "berg-7-fruhe-6.ily"
\include "berg-7-fruhe-7.ily"

\include "berg-7-fruhe-paged-title.ily"


\header {
    instrument = "II. Geigen"
}

\paper {
    ragged-right = ##f
    page-count = #11
    ragged-last-bottom = ##f
}


breaksI = <<
\mvtItimeline
{
    % \autoPageBreaksOff
    s1*23 |
    \barNumberCheck # 24
    \break
    s1*4 |
    \barNumberCheck # 28
    % \pageBreak
    s1*3 |
    \barNumberCheck # 31
    \break
    s1*8 |
    \barNumberCheck # 39
    % \noPageBreak
}
>>

cuesI = <<
\mvtItimeline
{
    \transposition c
    <>^\markup\halign #0.0 \column{"Violoncelli" "(get.)"}
    \ottava -2
    <<
        { \voiceOne s2 \oneVoice }
        \new Voice { \teeny \voiceOne \quoteDuring mvtIvc { s2 } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtIvchII { s2 } }
    >> \ottava 0 s2 |
    s1*6 |
    \barNumberCheck # 8
    s1*16 |
    \barNumberCheck # 24
    s1*7 |
    \barNumberCheck # 31
    s1*8 |
    \barNumberCheck # 39
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtItempi
        >>

        \new GrandStaff \with {
            instrumentName = "Geteilt"
        } <<
            \new Staff \with {
            } \context Bottom <<
                \mvtIvlnII
                \cuesI
            >>
            \new Staff \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIvlnIIhII
            >>
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
    \layout {
        indent = #16
        % short-indent = #0
    }
}


breaksII = <<
\mvtIItimeline
{
    % \autoPageBreaksOff
    s2.*8 |
    \barNumberCheck # 9
    \break
    s2.*21 |
    \barNumberCheck # 30
}
>>

cuesII = <<
\mvtIItimeline
{
    \transposition c
    #(ly:expect-warning "unterminated slur")
    \at 4. _\markup\halign #1.4 \column{"Solo-Vio-" "loncello"}
    \cueDuring mvtIIvc #DOWN { s2.*3 | s4. } s4. |
    s2.*25 |
    \barNumberCheck # 30
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIItempi
        >>

        \new Staff \with {
            instrumentName = "1.Solo"
        } \context Bottom <<
            \mvtIIvlnII
            \cuesII
        >>
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
    \layout {
        indent = #15
    }
}

breaksIII = <<
\mvtIIItimeline
{
    % <>^"Instr breaks in"
    s2.*19 |
    \barNumberCheck # 20
    % \pageTurn
    s2.*6 |
    \barNumberCheck # 26
    s1 |
    \barNumberCheck # 27
    s2.*6 |
    \barNumberCheck # 33
    \noBreak
    s2.*12 |
    \barNumberCheck # 45
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \transposition c
    s2.*25 |
    \barNumberCheck # 26
    s1 |
    \barNumberCheck # 27
    s2.*18 |
    \barNumberCheck # 45
}
>>


\markup\null\blankPage

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIIItempi
        >>

        \new GrandStaff \with {
            instrumentName = "Geteilt"
        } <<
            \new Staff \with {
                instrumentName = \markup\center-column{"ohne Dpf."}
                shortInstrumentName = \markup\center-column{"o.Dpf."}
            } \context Bottom <<
                \mvtIIIvlnII
                \cuesIII
            >>
            \new Staff \with {
                instrumentName = \markup\center-column{"mit Dpf."}
                shortInstrumentName = \markup\center-column{"m.Dpf."}
                \RemoveAllEmptyStaves
            } <<
                \mvtIIIvlnIIhII
            >>
        >>
    >>

    \header {
        piece = \mvtIIIpiece
    }
    \layout {
        indent = #20
        short-indent = 12
    }
}


breaksIV = <<
\mvtIVtimeline
{
    s2 |
    s1*3 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    % \pageTurn
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*2 |
    \barNumberCheck # 21
    \break
    s2.*2 |
    \barNumberCheck # 23
    s1*9 |
    \barNumberCheck # 32
}
>>

cuesIV = <<
\mvtIVtimeline
{
    \transposition c
    s2 |
    s1*3 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*3 |
    #(ly:expect-warning "unterminated slur")
    s4. <>^\markup\halign #-0.5 {Violoncelli} \cueDuring mvtIVvc #DOWN { \ottava #-1 s4. |
        \barNumberCheck # 23
        % \time 4/4
        s2 \ottava #0 }
        #(ly:expect-warning "already have slur")
        <>^\markup\halign #-0.8 {Bratschen} \cueDuring mvtIVvla #DOWN { s4 s16 } s8. |
    \barNumberCheck # 24
    s1*4 |
    \barNumberCheck # 28
    s1*4 |
    \barNumberCheck # 32
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIVtempi
        >>

        \new GrandStaff \with {
            instrumentName = "Geteilt"
        } <<
            \new Staff \with {
            } \context Bottom <<
                \mvtIVvlnII
                \cuesIV
            >>
            \new Staff \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIVvlnIIhII
            >>
        >>
    >>

    \header {
        piece = \mvtIVpiece
        breakbefore = ##t
    }
    \layout {
        indent = #16
    }
}


breaksV = <<
\mvtVtimeline
{
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

cuesV = <<
\mvtVtimeline
{
    \transposition c
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

% \markup\Tacet{\mvtVpiece}
\score {
    \removeWithTag NOPAGEBREAKATEND \mvtVtacetCues
    \header {
        piece = \markup\TacetPiece{\mvtVpiece}
    }
}

%{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVtempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVvlnII
            \cuesV
        >>
    >>

    \header {
        piece = \mvtVpiece
    }
    \layout {
    }
}
%}


breaksVI = <<
\mvtVItimeline
{
    s2.*24 |
    \barNumberCheck # 25
}
>>

cuesVI = <<
\mvtVItimeline
{
    \transposition c
    <>_"1.Klarinette"
    \cueDuring mvtVIclrI #UP { s2.*2 | }
    \cueDuring mvtVIclrI #DOWN { s2.*2 | }
    s2.*20 |
    \barNumberCheck # 25
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVIvlnII
            \cuesVI
        >>
    >>

    \header {
        piece = \mvtVIpiece
        breakbefore = ##t
    }
    \layout {
    }
}


breaksVII = <<
\mvtVIItimeline
{
    \barNumberCheck # 2
    s2. |
    s1*11 |
    \barNumberCheck # 13
    \break
    s1*19 |
    \barNumberCheck # 32
    \break
    s1*8 |
    \barNumberCheck # 40
}
>>

cuesVII = <<
\mvtVIItimeline
{
    \transposition c
    \barNumberCheck # 2
    #(ly:expect-warning "unterminated slur")
    <>_\markup\halign #1.3 {Vcl.,Kb.}
    \ottava -1 \cueDuring mvtVIIvchII #DOWN {
        s2
    } \ottava 0 s4 |
    \barNumberCheck # 2
    s1*4 |
    \barNumberCheck # 6
    s1 |
    \barNumberCheck # 7
    \at 4 ^\markup\halign #1.4 \column{"I.Gg." "1.2.Soli"} \cueDuring mvtVIIvlnIsoloI #UP { s4 \ottava #1 s2. | s1*2 | s4 \ottava #0 } s2. |
    \barNumberCheck # 11
    s1*2 |
    \barNumberCheck # 13
    s1*8 |
    \barNumberCheck # 21
    s1*10 |
    \barNumberCheck # 31
    s1*9 |
    \barNumberCheck # 40
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVIItempi
        >>

        \new GrandStaff \with {
            instrumentName = "Geteilt"
        } <<
            \new Staff \with {
            } \context Bottom <<
                % \stretchHorizontalSpacing #0.5
                \mvtVIIvlnII
                \cuesVII
            >>
            \new Staff \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtVIIvlnIIhII
            >>
        >>

        \mvtVIIquintenLine
    >>

    \header {
        piece = \mvtVIIpiece
    }
    \layout {
        indent = #16
    }
}
