\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-7-fruhe-common.ily"

mvtVpiece = \markup{"V. Im Zimmer"
                    \line\smaller\medium{(Johannes Schlaf)}}

mvtVtimeline = {
    \time 3/4
    \partial 4.
    \set Timing.currentBarNumber = #2

    \tag KEEPKEYS \key bes \major
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    \bar "||"
    \time 2/4
    \set Timing.beamExceptions = #'( (end . (
        ((1 . 8) . (4))
        ((1 . 16) . (4 4))
        ((1 . 32) . (8 8))
    )))
    s2*5 |
    \barNumberCheck # 11
    \bar "||"
    \time 3/4
    s2.*12 |
    \barNumberCheck # 23
    \bar "|."
}


mvtVtempi = <<
\mvtVtimeline
{
    \tempo \markup{Leicht bewegt \smaller\medium\concat{(\quarter " = " ca.69)}}
    s4. |
    \barNumberCheck # 2
    s2.*3 |
    s2 \tempo \markup{Etwas fliessender} s4 |
    % \time 2/4
    s2*4 |
    s8 \new TimedSpanner \lyricmode { "poco rit."8*6 -- "(molto)"8*3 -- "a tempo"4*0 } |
    \barNumberCheck # 12
    s2.*3 |
    \barNumberCheck # 15
    \new TimedSpanner \lyricmode {
        \markup{Zeit lassen!}4*5 --
        \markup{zurück in’s Tempo I}4*0
    } s4 |
    \barNumberCheck # 17
    s2.*6 |
    \barNumberCheck # 23
}
>>


mvtVbreaks = {
    <>^"Breaks left in"
    s4.\noBreak |
    \repeat unfold 3 { s2.\noBreak } \break |
    s2.\noBreak \repeat unfold 4 { s2\noBreak } \break |
    s2\noBreak \repeat unfold 3 { s2.\noBreak } \break |
    \repeat unfold 4 { s2.\noBreak } \break |
    \repeat unfold 5 { s2.\noBreak } |
    \barNumberCheck # 23
}


mvtVtemplate = <<
\mvtVtimeline
\relative c'' {
    \transposition c
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>


mvtVflI = <<
\mvtVtimeline
\relative c'' {
    \transposition c
    r8 r4 |
    \barNumberCheck # 2
    f2.\pp( |
    es4.) \at 8 \! \at 8. -\tweak to-barline ##f \Hso\> es \Hso\<( |
    \at 8 \> d\!) r8\! r4 |
    \barNumberCheck # 5
    R2.*1 |
    \barNumberCheck # 6
    % \time 2/4
    R2*4 |
    es8.:32\pp -\tweak minimum-length #6.0 \<(^\Flatt es'16-.\!) \at 16 \> es4\iportato |
    \barNumberCheck # 11
    % \time 3/4
    f,8.:\mp -\tweak minimum-length #7.0 \<(^\Flatt f'16-.\!) \at 16 \> f4\iportato r\! |
    R2. |
    r4 r8 d,\p \Hso\<( \tag PARTS { \once \override NoteHead.extra-spacing-width = #'(0 . 1.5) } \at 16 -\tweak to-barline ##f \Hso\> es d |
    \barNumberCheck # 14
    c\! es\cresc bes es a, ges' |
    g,? g'4 \at 8. \> bes c8-.) <>\! |
    \at 8 \> c2--( a4 |
    f2.\p |
    \barNumberCheck # 18
    \at 4 \Hso\< es4.)  \at 8. -\tweak to-barline ##f \Hso\> es( |
    des\!-\tweak minimum-length #5.0 \HslOff #0.5 \>) r8\! r4 |
    R2.*3 |
    \barNumberCheck # 23
}
>>


mvtVflII = <<
\mvtVtimeline
\relative c'' {
    \transposition c
    r8 r4 |
    \barNumberCheck # 2
    as2.\pp( |
    g2) r4 |
    R2.*2 |
    \barNumberCheck # 6
    % \time 2/4
    R2*4 |
    \barNumberCheck # 10
    c8.:32\pp -\tweak minimum-length #6.0 \<(^\Flatt c'16-.\!) \at 16 \> c4\iportato |
    \barNumberCheck # 11
    % \time 3/4
    c,8.:\mp -\tweak minimum-length #7.0 \<(^\Flatt c'16-.\!) \at 16 \> c4\iportato r\! |
    R2.*2 |
    \barNumberCheck # 14
    r8 g,\p\cresc( des g c, es~ |
    es es'4 \at 8. \> g e8-.) <>\! |
    \at 8 \> c2.--( |
    as\p |
    \barNumberCheck # 18
    g2) r4 |
    R2.*4 |
    \barNumberCheck # 23
}
>>


mvtVobI = <<
\mvtVtimeline
\relative c'' {
    \transposition c
    r8 r4 |
    \barNumberCheck # 2
    R2. |
    r4 r8 \at 8. -\tweak minimum-length #6.0 \Hso\> bes'4.\pp-\tweak minimum-length #6.0 \Hso\<(~ |
    \at 8 \< bes4 \at 16. \> d,8\! es \at 8 \Hso\> f8. \Hso\< g16 |
    f4.) d8\<( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{espr.} -\tweak to-barline ##t \=3\startTextSpan f\mf -\tweak minimum-length #7.0 \> c) <>\!\=3\stopTextSpan |
    \barNumberCheck # 6
    % \time 2/4
    b8-.\p-\tweak to-barline ##f \<( f'-. es-. f-. |
    d-.\! f-.\> b,-. d-.) |
    c-.\<( es-. bes-. es-. |
    as,-. c-. g-. \at 16 \Pmf des'-.) |
    \at 16 \> ges,( c ges'4\iportato) |
    \barNumberCheck # 11
    % \time 3/4
    f,8\<( c' f\mp -\tweak minimum-length #7.0 \> c'-.) r4\! |
    R2.*3 |
    \barNumberCheck # 15
    r8 \Fa g,4\p -\tweak minimum-length #5.0 \< g8[( \at 16. \> as8.\! g16]) <>\! |
    \at 16 \> g'8->( f\iportato\!) r f\<( es d <>\! |
    \at 16. \> c8. bes16-.) bes2(~ |
    \barNumberCheck # 18
    bes8 bes'4\iportato\pp) bes\iportato\< bes8~\iportato |
    bes[ bes( d,\p -\tweak minimum-length #5.0 \> \at 16 \Hso\< es \at 8 \Hso\> f8. g16]) |
    \at 8. \! f4 r r |
    R2.*2 |
    \barNumberCheck # 23
}
>>


mvtVeh = <<
\transpose f, c \mvtVtimeline
\relative c'' {
    \transposition f,
    r8 r4 |
    \barNumberCheck # 2
    R2. |
    r4 r8 d\pp -\tweak minimum-length #6.0 \<( \at 8. \! des4~ |
    \at 8 \> des-\parenthesize-> \at 8 \! c bes8 \Hso\< c \Hso\>~ |
    c4.) c8\<( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{espr.} -\tweak to-barline ##t \=3\startTextSpan des\mf-\tweak minimum-length #6.0 \> \at 16 \! bes) <>\=3\stopTextSpan |
    \barNumberCheck # 6
    % \time 2/4
    a8-.\p-\tweak to-barline ##f \<( es'-. g,-. es'-. |
    fis,-.\! d'-.\> d,-. c'-.) |
    bes-.\<( d-. as-. d-. |
    g,-. bes-. f-. \at 16 \Pmf bes-.) |
    \barNumberCheck # 10
    \at 16 \> e,( bes' e4\iportato) |
    \barNumberCheck # 11
    % \time 3/4
    es,8\<( a es'\mp -\tweak minimum-length #7.0 \> a-.) r4\! |
    R2.*6 |
    \barNumberCheck # 18
    r4 r8 d,\p -\tweak minimum-length #5.0 \<( des4~ <>\! |
    \at 16 \> des-\parenthesize-> \at 16 \! c bes8 \Hso\< \at 16 \Hso\> c\!~ |
    c2) r4\! |
    R2.*2 |
    \barNumberCheck # 23
}
>>


mvtVclrI = <<
\transpose bes, c \mvtVtimeline
\relative c'' {
    \transposition bes,
    a'8\pp -\tweak minimum-length #6.0 \Hso\<( c a \Hso\> |
    \barNumberCheck # 2
    c4.) g8 \Hso\<( c g \Hso\> |
    c4.) c8\<( \at 4 \Hso\> f4 |
    \at 8 \! \at 4. \Hso\< e2-- \at 8 -\tweak to-barline ##f -\tweak minimum-length #10.0 \Hso\> d4~ |
    d8 \Hso\< c g4. \Hso\>) r8\! |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    R2.*2 |
    r4 r8 e\p -\tweak minimum-length #5.0 \Hso\<( \at 16 -\tweak to-barline ##f \Hso\> f e |
    \barNumberCheck # 14
    d\! f\cresc c f b, as') |
    a,?4( d a'-\tweak to-barline ##f \>~ |
    \at 16. \Hso\< a8\! g d \Hso\>) g\<( b e |
    \hairpinWithCenteredText \markup{molto} d4.\>) g,8\p -\tweak minimum-length #5.0 \<( \at 16 \! c g\> |
    \barNumberCheck # 18
    c4.) c8 \Hso\<( \at 8 -\tweak to-barline ##f \Hso\> f4 |
    \at 4. \Hso\< e2--\! \at 8 -\tweak to-barline ##f \Hso\> d4~ |
    d8 \Hso\< \at 16 \Hso\> c) g4. r8\! |
    R2.*2 |
    \barNumberCheck # 23
}
>>


mvtVclrII = <<
\transpose bes, c \mvtVtimeline
\relative c'' {
    \transposition bes,
    c8\pp -\tweak minimum-length #6.0 \Hso\<( e c \Hso\> |
    \barNumberCheck # 2
    e4.) bes8 \Hso\<( e bes \Hso\> |
    es4.) es8 \Hso\<( \at 4 \Hso\> d4 |
    \at 8 \! \at 4. \Hso\< c2-- \at 8 -\tweak to-barline ##f -\tweak minimum-length #10.0 \Hso\> b?4 |
    \at 8 \> c2\!) r4\! |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    R2.*3 |
    \barNumberCheck # 14
    r8 a?\cresc( es a d, f) |
    c4( f c'\> <>\! |
    b16)^"Zeit lassen!" b,\f -\tweak minimum-length #5.0 \Hso\<( d g~ \tuplet 3/2 { g8 \Hso\> \at 16 \Hsl\< b4 } d8 gis |
    \hairpinWithCenteredText \markup{molto} e4.\>) bes8\p -\tweak minimum-length #5.0 \<( \at 16 \! e bes\> |
    \barNumberCheck # 18
    es4.) es8 \Hso\<( \at 8 -\tweak to-barline ##f \Hso\> d4 |
    \at 4. \Hso\< c2--\! \at 8 -\tweak to-barline ##f \Hso\> b4 |
    \at 16 \Hso\> c2\!) r4\! |
    R2.*2 |
    \barNumberCheck # 23
}
>>


mvtVbclr = <<
\transpose a, c \mvtVtimeline
\relative c'' {
    \transposition a,
    \clef "treble_8"
    r8 r4 |
    \barNumberCheck # 2
    R2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    R2.*4 |
    \barNumberCheck # 15
    r8. des,,16\f -\tweak minimum-length #5.0 \<(~^"Zeit lassen!" des ges bes es \at 32 \! fes \at 16 -\tweak to-barline ##f \> ces'8-> bes16->~ |
    \at 8 -\tweak minimum-length #5.0 \Hso\> bes8. \Hso\< \at 32 \! as16) r4 r |
    \barNumberCheck # 17
    R2.*6 |
    \barNumberCheck # 23
}
>>


mvtVfgI = <<
\mvtVtimeline
\relative c {
    \transposition c
    \clef bass
    r8 r4 |
    \barNumberCheck # 2
    R2.*2 |
    r4 r \at 8 -\tweak to-barline ##f -\tweak minimum-length #10.0 \Hso\> c'\pp-\tweak minimum-length #6.0 \Hso\<( |
    \at 8 \> d2\!) r4\! |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    R2.*12 |
    \barNumberCheck # 23
}
>>


mvtVkfg = <<
\mvtVtimeline
\relative c {
    \transposition c
    \clef bass
    r8 r4 |
    \barNumberCheck # 2
    R2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    R2.*10 |
    <<
        { R2. | s2. | }
        {
            s2 s8 \afterGrace s\pp { \once \override Flag.stroke-style = #"grace" bes8( } |
            bes2.) |
        }
    >>
    \barNumberCheck # 23
}
>>


mvtVhrnI = <<
\removeWithTag KEEPKEYS \mvtVtimeline
\relative c'' {
    \transposition f,
    <>^\Dohne
    r8 r4 |
    \barNumberCheck # 2
    R2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    r4 r8 c\pocof -\tweak minimum-length #10.0 \Hso\<( \at 16 \Hso\> f c |
    f4.) bes,8\mf-\tweak to-barline ##f \Hso\<( f' bes, |
    \at 16 \Hso\> f'4) \at 16. \Hso\< e \at 32 -\tweak to-barline ##f -\tweak minimum-length #6.0 \Hso\> es |
    \barNumberCheck # 14
    d2\HslOff #1.5 \< ( -\tweak bound-details.left.text \markup{(m.d. Gesang} \=3\startTextSpan  des8\! bes |
    \at 8. \! \at 8. \=3\stopTextSpan f4\>) <>^\Dauf r r |
    \barNumberCheck # 16
    R2.*4 |
    \barNumberCheck # 20
    r4 r8 c'\p -\tweak minimum-length #5.0 \<( ^\PmD \at 16 \! e c\> |
    e2.) |
    f--\pp |
    \barNumberCheck # 23
}
>>


mvtVhrnII = <<
\removeWithTag KEEPKEYS \mvtVtimeline
\relative c'' {
    \transposition f,
    <>^\Dohne
    r8 r4 |
    \barNumberCheck # 2
    R2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    r4 r8 es,\pocof-\tweak minimum-length #10.0 \Hso\<( \at 16 \Hso\> a? es |
    as4.) d,8\mf-\tweak to-barline ##f \Hso\<( \Fa as' d, |
    \at 16 \Hso\> \at 32*11 \< g4.) g8( fis4-\tweak to-barline ##f \Hso\> |
    g4) r\! r |
    \barNumberCheck # 15
    <>^\Dauf
    R2.*6 |
    \barNumberCheck # 21
    <>^\PmD g'2.\p -\tweak minimum-length #5.0 \> |
    f--\pp |
    \barNumberCheck # 23
}
>>


mvtVtrp = <<
\removeWithTag KEEPKEYS \mvtVtimeline
\relative c'' {
    \transposition f
    <>^\Dohne
    r8 r4 |
    \barNumberCheck # 2
    R2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    R2. |
    #(ly:expect-warning "crescendo too small")
    \at 4. -\tweak to-barline ##f \< bes,2.\mp -\tweak minimum-length #8.0 \Hso\> |
    \at 16*5 \! a4.\p -\tweak minimum-length #6.0 \Hso\> a8\<( \at 16 \! bes a -\tweak to-barline ##f \> |
    bes4) r\! r |
    \barNumberCheck # 15
    <>^\Dauf
    R2.*5 |
    \barNumberCheck # 20
    r4 r8 <>^\PmD a'\p -\tweak minimum-length #5.0 \<( \at 16 \! c a\> |
    c2.) |
    c--\pp |
    \barNumberCheck # 23
}
>>


mvtVposI = <<
\mvtVtimeline
\relative c {
    \transposition c
    \clef bass
    <>^\Dohne
    r8 r4 |
    \barNumberCheck # 2
    R2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    R2. |
    #(ly:expect-warning "crescendo too small")
    <>^\PoD \at 4. -\tweak to-barline ##f \< \Fa g'2.\mp -\tweak minimum-length #8.0 \Hso\> |
    \at 16*5 \! fis4.\p -\tweak minimum-length #6.0 \Hso\> fis8 \Hso\<( \at 8 -\tweak to-barline ##f \Hso \> f4 |
    \barNumberCheck # 14
    \Fa es4) r\! r |
    \barNumberCheck # 15
    <>^\Dauf
    R2.*6 |
    \barNumberCheck # 21
    <>^\markup\halign #1.4 \PmD es'2.\p -\tweak minimum-length #5.0 \> |
    des--\pp |
    \barNumberCheck # 23
}
>>


mvtVbecken = <<
\mvtVtimeline
{
    r8 r4 |
    \barNumberCheck # 2
    R2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    #(ly:expect-warning "crescendo too small")
    <>^\markup\right-align{(freihängend)} c2\pp -\tweak to-barline ##f -\tweak minimum-length #6.0 \<\trill~ |
    \at 16. \> c\p \breathe |
    c\pp -\tweak minimum-length #6.0 \<\trill~ |
    \at 16*7 \Pp c |
    R2 |
    \barNumberCheck # 11
    % \time 3/4
    R2.*7 |
    <>^\markup\halign #-0.3 \column{"freihängend m.d." "Schlägel geschl."} r8 c4\ppp c c8 |
    r8 \TT c4^"klingen lassen!" r8 r4 |
    r8 c4.\ppp c4 |
    r8 c4. c4 |
    r8 c4. c4 |
    \barNumberCheck # 23
}
>>


mvtVhpRH = <<
\mvtVtimeline
\relative c'' {
    \transposition c
    r8 r4 |
    \barNumberCheck # 2
    R2.*2 |
    r4 r <a f' c'>\pdolce\arpeggio |
    R2. |
    \barNumberCheck # 6
    % \time 2/4
    b8( f' es f |
    d f b, d) |
    c( es bes c |
    as c g des') |
    \barNumberCheck # 10
    ges,16-\tweak eccentricity #1.5 ( c ges' c ges' c, ges c,) |
    \barNumberCheck # 11
    % \time 3/4
    f,-\tweak eccentricity #1.5 ( c' f c' f c' % old ed. has a
        f, c f, bes, f8) |
    r8. bes'16\mf-\tweak minimum-length #6.0 \Hso\<( es, bes \Hso\> \at 16 \! es,8) r4 |
    r \tuplet 3/2 { r16 d'\p -\tweak minimum-length #5.0 \Hso\<( \at 32 \Hso\> a? } \at 16 \! d,8) r4 |
    \barNumberCheck # 14
    R2. |
    <<
        \tag SCORE { \skip 8 <>-\tweak bound-details.left.text \markup{Zeit lassen!} \=3\startTextSpan }
        { r4 }
    >> r \voiceOne r8 bes'16( e) |
    \oneVoice r4 \voiceOne \tuplet 3/2 { c8 a f' } a?8 \oneVoice \tag SCORE <>\=3\stopTextSpan r |
    R2. |
    \barNumberCheck # 18
    r8^"ev. Celesta" \once \override Score.FootnoteItem.annotation-line = ##f \footnote \markup\huge\bold\concat{\raise #-0.5 * )} #'( -2 . 0.0 ) "*) Evt. Celesta statt Hfe., für den Fall, daß eine solche vorhanden ist (dann natürlich 1 Oktav tiefer gespielt)." bes4\p bes bes8 |
    r bes r4 r |
    r8 <>^\markup\halign #1.5 {(Cel.)} \acciaccatura bes bes'\pp r4 bes8 r |
    r bes r4 bes8 r |
    r bes r4 bes8 r |
    \barNumberCheck # 23
}
>>


mvtVhpDyn = <<
\mvtVtimeline
{
    \override TextScript.font-series = #'regular
    \override TextSpanner.font-series = #'regular
    \override TextScript.font-size = #0.67
    \override TextScript.Y-offset = #-0.67

    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    <>\p -\tweak to-barline ##f \< s2 |
    <>\! s16. <>\> s32 s4. |
    <>\p -\tweak minimum-length #5.0 \< s2 |
    s4. <>\Pmf s8 |
    \barNumberCheck # 10
    <>\p -\tweak minimum-length #5.0 \< s8. <>\! s16 <>\f -\tweak minimum-length #5.0 \> s4 |
    \barNumberCheck # 11
    % \time 3/4
    <>\< s8. <>\1 s16 <>\ff s4 <>\> s4 <>\! |
    s2.*3 |
    \barNumberCheck # 15
    s8. <>\f s16 s2 |
    s16 <>\mf s8. s2 |
    s2.*6 |
    \barNumberCheck # 23
}
>>


mvtVhpLH = <<
\mvtVtimeline
\relative c {
    \transposition c
    \clef bass
    r8 r4 |
    \barNumberCheck # 2
    R2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    \clef treble
    d'8( as' c, as' |
    b, g' g, f') |
    es( g des g |
    c, es bes? es) |
    \barNumberCheck # 10
    a,16_( es' a es' a? es a, es) |
    \barNumberCheck # 11
    % \time 3/4
    as,_( d as' d as' d as d, as d, as8) |
    R2.*3 |
    \barNumberCheck # 15
    \clef bass
    r8. bes,16_(~^\markup\halign #0.2 \line{(m.Bsskl.)} bes es g c des \RH \voiceTwo as'8 g16) |
    \LH \oneVoice r16
        \shape #'((0 . 0) (3 . -4) (1 . 4) (0 . 8)) Slur
        a,?_( c f \tupletAngles 0 45 \once \override TupletBracket.X-positions = #'(0 . 10) \tuplet 3/2 { r8 \RH \voiceTwo \once \override NoteColumn.force-hshift = #1.1 a4 } c8) r |
    \LH \oneVoice R2.*2 |
    \barNumberCheck # 19
    r4 r <>^\markup\halign #3.0 {Harfe} \clef treble <a? f' c'>\arpeggio^\pdolce |
    <<
        { R2.*2 | s2. | }
        {
            s2. |
            s2 s8^"(Hfe.)" \clef bass \afterGrace s^\p { \once \override Flag.stroke-style = #"grace" bes,,,8( } |
            bes2.) |
        }
    >>
    \barNumberCheck # 23
}
>>


mvtVgesang = <<
\mvtVtimeline
\relative c'' {
    \transposition c
    \autoBeamOff
    \dynamicUp
    g8\p -\tweak minimum-length #5.0 \Hso\<\( \at 16 -\tweak to-barline ##f \Hso\> bes g |
    \barNumberCheck # 2
    \at 2 -\tweak to-barline ##f \Hso\> bes2. \Hso\< ~ |
    bes8\!\) r r bes \Hso\<\( \at 16 \! es es -\tweak to-barline ##f \Hso\> |
    \at 16 \< d\! \at 16 \! bes d, es f8.\< g16 <>\! |
    \barNumberCheck # 5
    f2\>\) <>\! r8 f\mp
    \barNumberCheck # 6
    % \time 2/4
    as4\< as8 as <>\! |
    \at 16 \> d2 <>\! |
    \at 16 \< g,4 f8 es |
    as8. as16 g8 es <>\! |
    c'2\p -\tweak minimum-length #5.0 \<\(~ |
    \barNumberCheck # 11
    % \time 3/4
    c2 \breathe bes4--\f -\tweak minimum-length #5.0 \>~ |
    bes2\) r8\! bes\mf -\tweak minimum-length #7.0 \<\( |
    d4.\) d8\( \Fa es d <>\! |
    \barNumberCheck # 14
    g4. g8\< ges es <>\! |
    \at 16 \> \at 4. \< bes2\) c8-- g-- |
    g'8\>( \at 8 \! f4) f8\< es d <>\! |
    c8.-> \at 32 \> bes16\iportato bes2--~
    \barNumberCheck # 18
    \at 8. \! bes4 r4 r8 \at 16. -\tweak to-barline ##f \Hso\> es\p-\tweak minimum-length #6.0 \Hso\<\( |
    d\! bes\< d,\! es f8.\< g16\! |
    \at 16 \> f2.~ |
    f4\) r\! r |
    R2. |
    \barNumberCheck # 23
}
>>

mvtVlyrics = \lyricmode {
    Herbst -- son -- nen -- schein. __
    Der lie -- be A -- bend blickt so still her -- ein.
    Ein Feu -- er -- lein rot
    knis -- tert im O -- fen -- loch und loht. __
    So! __ Mein Kopf auf dei -- nen Knie’n,
    so ist mir gut.
    Wenn mein Au -- ge so in dei -- nem ruht, __
    wie lei -- se die Mi -- nu -- ten zieh’n. __
}


mvtVtacetCues = \new Staff = mvtVvlnI \with {
    \RemoveEmptyStaves
    \staffSize #-3
} <<
\mvtVtimeline
{
    \transposition c
    \autoPageBreaksOff
    r4. |
    \barNumberCheck # 2
    R2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    R2.*4 |
    \barNumberCheck # 15
    <<
        { \voiceTwo R2.*5 | \voiceOne R2.*3 | }
        \new Voice {
            \voiceOne
            \at 8 ^\markup\halign #0.0 \normalsize{Oboe}
                \quoteDuring mvtVobI { s2.*5 | s4. }
        }
        \new Voice {
            \voiceTwo
            s2.*5 |
            \at 4. ^\markup\halign #-1.0 \normalsize{1.Hrn.}
                \quoteDuring mvtVhrnI { s2.*3 | }
        }
    >>
    \barNumberCheck # 23
    \tag NOPAGEBREAKATEND \noPageBreak        % can be overridden at will
}
>>


\addQuote mvtVobI       { \mvtVobI }
\addQuote mvtVclrI      { \mvtVclrI }

\addQuote mvtVhrnI      { \mvtVhrnI }
