\version "2.21.0"

\include "berg-7-fruhe-1.ily"
\include "berg-7-fruhe-2.ily"
\include "berg-7-fruhe-3.ily"
\include "berg-7-fruhe-4.ily"
\include "berg-7-fruhe-5.ily"
\include "berg-7-fruhe-6.ily"
\include "berg-7-fruhe-7.ily"

\include "berg-7-fruhe-paged-title.ily"


\header {
    instrument = "1. Fagott"
}

\paper {
    ragged-right = ##f
    page-count = #5
    % ragged-last-bottom = ##f
}


breaksI = <<
\mvtItimeline
{
    s1*21 |
    \barNumberCheck # 22
    \noBreak
    s1*17 |
    \barNumberCheck # 39
}
>>

cuesI = <<
\mvtItimeline
{
    \transposition c
    s1*38 |
    \barNumberCheck # 39
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIfgI
            \cuesI
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    s2.*29 |
    \barNumberCheck # 30
}
>>

cuesII = <<
\mvtIItimeline
{
    \transposition c
    #(ly:expect-warning "unterminated slur")
    <>^\markup\halign #1.2 {1.Horn}
    \cueDuring mvtIIhrnI #UP { s2.*3 | }
    \barNumberCheck # 4
    \at 4. ^\markup\halign #1.3 {I.Geigen} \cueDuring mvtIIvlnI $UP { s4. \ottava #1 s4. | s2.*2 | \ottava #0 }
    s2.*23 |
    \barNumberCheck # 30
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIIfgI
            \cuesII
        >>
    >>

    \header {
        piece = \mvtIIpiece
    }
    \layout {
    }
}


breaksIII = <<
\mvtIIItimeline
{
    s2.*25 |
    \barNumberCheck # 26
    s1 |
    \barNumberCheck # 27
    s2.*18 |
    \barNumberCheck # 45
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \transposition c
    s2.*25 |
    \barNumberCheck # 26
    s1 |
    \barNumberCheck # 27
    s2.*18 |
    \barNumberCheck # 45
}
>>

\markup\Tacet{\mvtIIIpiece}

%{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIIIfgI
            \cuesIII
        >>
    >>

    \header {
        piece = \mvtIIIpiece
    }
    \layout {
    }
}
%}


breaksIV = <<
\mvtIVtimeline
{
    s2 |
    s1*3 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
}
>>

cuesIV = <<
\mvtIVtimeline
{
    \transposition c
    s2 |
    s1*3 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
}
>>

% \markup\Tacet{\mvtIVpiece}
\score {
    \removeWithTag NOPAGEBREAKATEND \mvtIVtacetCues
    \header {
        piece = \markup\TacetPiece{\mvtIVpiece}
    }
}

%{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIVtempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIVfgI
            \cuesIV
        >>
    >>

    \header {
        piece = \mvtIVpiece
    }
    \layout {
    }
}
%}


breaksV = <<
\mvtVtimeline
{
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

cuesV = <<
\mvtVtimeline
{
    \transposition c
    <>^\markup\halign #1.2 {1.Klarinette}
    \cueDuring mvtVclrI #UP { \ottava #2 s4. | s2. | s4. \ottava #0 } s4. |
    \barNumberCheck # 4
    s2.*2 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVtempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVfgI
            \cuesV
        >>
    >>

    \header {
        piece = \mvtVpiece
        breakbefore = ##t
    }
    \layout {
    }
}


breaksVI = <<
\mvtVItimeline
{
    s2.*24 |
    \barNumberCheck # 25
}
>>

cuesVI = <<
\mvtVItimeline
{
    \transposition c
    \at 8 ^\markup\halign #1.5 {1.Klarinette} \cueDuring mvtVIclrI #UP { \ottava #1 s2.*2 | \ottava #0 }
    s2.*22 |
    \barNumberCheck # 25
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVIfgI
            \cuesVI
        >>
    >>

    \header {
        piece = \mvtVIpiece
    }
    \layout {
    }
}


breaksVII = <<
\mvtVIItimeline
{
    \barNumberCheck # 2
    s2. |
    s1*38 |
    \barNumberCheck # 40
}
>>

cuesVII = <<
\mvtVIItimeline
{
    \transposition c
    \barNumberCheck # 2
    #(ly:expect-warning-times 2 "unterminated slur")
    #(ly:expect-warning-times 2 "unterminated crescendo")
    #(ly:expect-warning "too many colliding rests")
    \override MultiMeasureRest.staff-position = #6
    <>^\markup\halign #0.6 \line{Violoncelli (get.)}
    <<
        { \voiceThree s2. | s1 \oneVoice | }
        \new Voice { s2 \teeny \voiceOne \dynamicUp \quoteDuring mvtVIIvc { s4 | s1 | } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtVIIvchII { s2. | s1 | } }
    >> |
    \revert MultiMeasureRest.staff-position
    \barNumberCheck # 3
    s1*13 |
    \barNumberCheck # 16
    #(ly:expect-warning "unterminated slur")
    <>^\markup\halign #0.8 {I.Geigen}
    \cueDuring mvtVIIvlnI #UP { \ottava #2 s1*3 | \ottava #0 }
    \barNumberCheck # 19
    s1*21 |
    \barNumberCheck # 40
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVIIfgI
            \cuesVII
        >>
    >>

    \header {
        piece = \mvtVIIpiece
    }
    \layout {
    }
}
