\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-7-fruhe-score-common.ily"

\includeOnce "berg-7-fruhe-2.ily"

% \include "berg-7-fruhe-title.ily"


\tocItem \markup{\mvtIIpiece}

breaksII = <<
\mvtIItimeline
{
    s2.*9 |
    \barNumberCheck # 10
    \noBreak
    s2.*20
    \barNumberCheck # 30
}
>>

\score {
    \keepWithTag #'( SCORE KEEPQUOTED KEEPKEYS ) <<
	% \new Dynamics \breaksII
        \new Dynamics \mvtIIbreaks

        \new MarkLine \with {
            \accepts TimedSpanner
        } \mvtIItempi

        % %{
        \new StaffGroup = mvtIIwoods <<
            \new Staff \with {
                instrumentName = "1 Flöte"
                shortInstrumentName = "Fl."
            } <<
                \mvtIIflI
            >>
            \new Staff \with {
                instrumentName = "1 Oboe"
                shortInstrumentName = "Ob."
            } <<
                \mvtIIobI
            >>
            \new GrandStaff \with {
            } <<
                \new Staff \with {
                    instrumentName = \markup\center-column{"1 Klarinette" "in B"}
                    shortInstrumentName = \markup\center-column{"Kl." "(B)"}
                } <<
                    \mvtIIclrI
                >>
                \new Staff \with {
                    instrumentName = \markup\center-column{"Bassklarinette" "in A"}
                    shortInstrumentName = \markup\center-column{"Bklr." "(A)"}
                } <<
                    \mvtIIbclr
                >>
            >>
            \new GrandStaff \with {
            } <<
                \new Staff \with {
                    instrumentName = "1 Fagott"
                    shortInstrumentName = "Fg."
                } <<
                    \mvtIIfgI
                >>
                \new Staff \with {
                    instrumentName = "Kontrafagott"
                    shortInstrumentName = "Kfg."
                } <<
                    \mvtIIkfg
                >>
            >>
        >>
        % %}

        % %{
        \new StaffGroup = mvtIIbrass \with {
        } <<
            \new Staff \with {
                instrumentName = \markup\center-column{"1 Horn" "in F"}
                shortInstrumentName = \markup\center-column{"Hrn." "(F)"}
            } <<
                \mvtIIhrnI
            >>
            \new Staff \with {
                instrumentName = \markup\center-column{"1 Trompete" "in F"}
                shortInstrumentName = \markup\center-column{"Trp." "(F)"}
            } <<
                \mvtIItrp
            >>
            \new Staff \with {
                instrumentName = "1 Posaune"
                shortInstrumentName = "Pos."
            } <<
                \mvtIItrom
            >>
        >>
        % %}

        % %{
        \new PianoStaff \with {
            instrumentName = "Harfe"
            shortInstrumentName = "Hf."
            \override StaffGrouper.staffgroup-staff-spacing.stretchability = #75
        } <<
            \new Staff = up <<
                \mvtIIhpRH
            >>
            \new Dynamics <<
                \mvtIIhpDyn
            >>
            \new Staff = down <<
                \mvtIIhpLH
            >>
        >>
        % %}

        \new Staff = mvtIIgesang \with {
            instrumentName = "Gesang"
            shortInstrumentName = "Ges."
            \override VerticalAxisGroup.remove-empty = ##f
            \override VerticalAxisGroup.staff-staff-spacing.stretchability = #80
        } <<
            \new Voice = mvtIIgesang { \dynamicUp \mvtIIgesang }
            \new Lyrics \lyricsto mvtIIgesang \mvtIIlyrics
        >>

        % %{
        \new MarkLine \with {
            \accepts TimedSpanner
        } \mvtIItempi

        \new StaffGroup = mvtIIstrings <<
            \new GrandStaff = mvtIIvln \with {
                instrumentName = "1.Solo-Violine"
                shortInstrumentName = "Vln."
            } <<
                \new Staff \with {
                    instrumentName = "I."
                    shortInstrumentName = "I."
                } <<
                    \mvtIIvlnI
                >>
                \new Staff \with {
                    instrumentName = "II."
                    shortInstrumentName = "II."
                } <<
                    \mvtIIvlnII
                >>
            >>
            \new Staff \with {
                instrumentName = "1.Solo-Bratsche"
                shortInstrumentName = "Br."
            } <<
                \mvtIIvla
            >>
            \new Staff \with {
                instrumentName = "1.Solo-Violoncello"
                shortInstrumentName = "Vlc."
            } <<
                \mvtIIvc
            >>
            \new Staff \with {
                instrumentName = "1.Solo-Kontrabass"
                shortInstrumentName = "Kb."
            } <<
                \mvtIIcb
            >>
        >>
        % %}
    >>

    \header {
        piece = \mvtIIpiece
    }
}

