\version "2.21.0"

\include "berg-7-fruhe-1.ily"
\include "berg-7-fruhe-2.ily"
\include "berg-7-fruhe-3.ily"
\include "berg-7-fruhe-4.ily"
\include "berg-7-fruhe-5.ily"
\include "berg-7-fruhe-6.ily"
\include "berg-7-fruhe-7.ily"

\include "berg-7-fruhe-paged-title.ily"


\header {
    instrument = "Bratschen"
}

\paper {
    ragged-right = ##f
    page-count = #9
    % ragged-last-bottom = ##f
}

breaksI = <<
\mvtItimeline
{
    s1*33 |
    \barNumberCheck # 34
    \noBreak
    s1*5 |
    \barNumberCheck # 39
}
>>

cuesI = <<
\mvtItimeline
{
    \transposition c
    <<
        { \voiceTwo s1 \oneVoice | }
        \new Voice {
            \voiceOne
            \teeny
            <>^\markup\normalsize\halign #-0.3 {Violoncelli}
            \quoteDuring mvtIvc { \ottava #-1 s2 }
            <>^\markup\normalsize\column{II.Geigen}
            \ottava 0
            \quoteDuring mvtIvlnII { s2 }
            \oneVoice
        }
        \new Voice {
            \teeny
            \voiceTwo \quoteDuring mvtIvchII { s2 }
            \quoteDuring mvtIvlnIIhII { s2 }
        }
    >>
    \barNumberCheck # 2
    s1*6 |
    \barNumberCheck # 8
    \set GrandStaff.shortInstrumentName = ""
    s1*31 |
    \barNumberCheck # 39
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtItempi
        >>

        \new GrandStaff \with {
            instrumentName = "Geteilt"
        } <<
            \new Staff \with {
            } \context Bottom <<
                \stretchHorizontalSpacing #0.5
                \mvtIvla
                \cuesI
            >>
            \new Staff \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIvlahII
            >>
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
    \layout {
        indent = #16
    }
}


breaksII = <<
\mvtIItimeline
{
    s2.*9 |
    \barNumberCheck # 10
    \noBreak
    s2.*20 |
    \barNumberCheck # 30
}
>>

cuesII = <<
\mvtIItimeline
{
    \transposition c
    #(ly:expect-warning "unterminated slur")
    \at 4. -\tweak outside-staff-priority #425 ^\markup\halign #0.0 {Solo-Violoncello}
    \cueDuring mvtIIvc #UP { s4. s4. | s2.*2 | s4. } s4. |
    s2.*25 |
    \barNumberCheck # 30
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIItempi
        >>

        \new Staff \with {
            instrumentName = "1.Solo"
        } \context Bottom <<
            \stretchHorizontalSpacing #0.5
            \mvtIIvla
            \cuesII
        >>
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
    \layout {
        indent = 15
    }
}


breaksIII = <<
\mvtIIItimeline
{
    s2.*24 |
    \barNumberCheck # 25
    \pageTurn
    s2.*1 |
    \barNumberCheck # 26
    s1 |
    \barNumberCheck # 27
    s2.*18 |
    \barNumberCheck # 45
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \transposition c
    s2.*25 |
    \barNumberCheck # 26
    s1 |
    \barNumberCheck # 27
    s2.*18 |
    \barNumberCheck # 45
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIIItempi
        >>

        \new GrandStaff \with {
            instrumentName = "Geteilt"
        } <<
            \new Staff \with {
                instrumentName = \markup\center-column{"ohne" "Dpf."}
                shortInstrumentName = "o.Dpf."
            } \context Bottom <<
                \mvtIIIvla
                \cuesIII
            >>
            \new Staff \with {
                instrumentName = \markup\center-column{"mit" "Dpf."}
                shortInstrumentName = "m.Dpf."
                \RemoveAllEmptyStaves
            } <<
                \mvtIIIvlahII
            >>
        >>
    >>

    \header {
        piece = \mvtIIIpiece
    }
    \layout {
        indent = #16
        short-indent = #10
    }
}


breaksIV = <<
\mvtIVtimeline
{
    \autoPageBreaksOff
    s2 |
    s1*3 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    \break
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    % \pageTurn
    s1*9 |
    \barNumberCheck # 32
}
>>

cuesIV = <<
\mvtIVtimeline
{
    \transposition c
    \at 8 ^\markup\halign #1.3 {II.Geigen}
    \cueDuring mvtIVvlnII #UP { s2 | s8 } s2.. |
    s1*2 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*3 |
    \barNumberCheck # 8
    #(ly:expect-warning "unterminated slur")
    s4. <>^"Violoncelli" \cueDuring mvtIVvc #DOWN {
        s4. |
        \barNumberCheck # 9
        % \time 4/4
        s2 s16 } s8. s4 |
    \barNumberCheck # 10
    s1*5 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIVtempi
        >>

        \new GrandStaff \with {
            instrumentName = "Geteilt"
        } <<
            \new Staff \with {
            } \context Bottom <<
                \mvtIVvla
                \cuesIV
            >>
            \new Staff \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIVvlahII
            >>
        >>
    >>

    \header {
        piece = \mvtIVpiece
    }
    \layout {
        indent = #16
    }
}


breaksV = <<
\mvtVtimeline
{
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

cuesV = <<
\mvtVtimeline
{
    \transposition c
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

% \markup\Tacet{\mvtVpiece}
\score {
    % \keepWithTag NOPAGEBREAKATEND
    \mvtVtacetCues
    \header {
        piece = \markup\TacetPiece{\mvtVpiece}
    }
}

%{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVtempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVvla
            \cuesV
        >>
    >>

    \header {
        piece = \mvtVpiece
    }
    \layout {
    }
}
%}


breaksVI = <<
\mvtVItimeline
{
    \autoPageBreaksOff
    s2.*24 |
    \barNumberCheck # 25
}
>>

cuesVI = <<
\mvtVItimeline
{
    \transposition c
    s2.*24 |
    \barNumberCheck # 25
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            % \stretchHorizontalSpacing #0.5
            \mvtVItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVIvla
            \cuesVI
        >>
    >>

    \header {
        piece = \mvtVIpiece
    }
    \layout {
    }
}


breaksVII = <<
\mvtVIItimeline
{
    \barNumberCheck # 2
    s2. |
    s1*24 |
    \barNumberCheck # 26
    % \pageTurn
    s1*2 |
    \barNumberCheck # 28
    % \pageTurn
    s1*12 |
    \barNumberCheck # 40
}
>>

cuesVII = <<
\mvtVIItimeline
{
    \transposition c
    \barNumberCheck # 2
    #(ly:expect-warning "unterminated slur")
    <>_\markup\halign #1.3 {Vcl.,Kb.}
    \cueDuring mvtVIIvchII #DOWN { \ottava -1 s2. | s4 } \ottava 0 s2. |
    s1*37 |
    \barNumberCheck # 40
}
>>


mvtVIIvlaAll = <<
\mvtVIItimeline
{
    \transposition c
    \clef alto
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "cannot end slur")
    \quoteDuring mvtVIIvla { s2. | s1*3 | s4 }
    \PMPApart #'( "mvtVIIvla" "mvtVIIvlahII" ) { s2. | s2. }
    \quoteDuring mvtVIIvla { s4 | s1*11 | }
    \barNumberCheck # 18
    \PMPApart #'( "mvtVIIvla" "mvtVIIvlahII" ) { s1 | }
    \barNumberCheck # 19
    \quoteDuring mvtVIIvla { s1*21 | }
    \barNumberCheck # 40
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVIItempi
        >>

        \new GrandStaff \with {
            instrumentName = "Geteilt"
        } <<
            \new Staff \with {
            } \context Bottom <<
                \stretchHorizontalSpacing #1.0
                \mvtVIIvlaAll
                \cuesVII
            >>
%            \new Staff \with {
%            } \context Bottom <<
%                \mvtVIIvla
%                \cuesVII
%           >>
%            \new Staff \with {
%                \RemoveAllEmptyStaves
%            } <<
%                \mvtVIIvlahII
%            >>
        >>

        \mvtVIIquintenLine
    >>

    \header {
        piece = \mvtVIIpiece
        % breakbefore = ##t
    }
    \layout {
        indent = #16
    }
}
